<?php
/**
* Nom: functions.php
* Autor: David Bassa
* Any: 2023
* Descripció: Aquest php conté tota una sèrie de funcions necessàries per al panell d'administració
* on es divideix principalment en 4 apartats, funcions genèriques, per a usuaris, per a targetes i per al log
*/

//Sempre que es carrega una pàgina del panell d'administració es realitza una connexió a la base de dades.
//Es crida a la funció encarregada de fer la connexió amb la base de dades
$con=Connect_bbdd();
//S'activen la mostra d'accents
$tildes = $con->query("SET NAMES 'utf8'");

/*****************************************FUNCIONS DE LA BASE DE DADES **********************************************/
//Funció encarregada de fer la connexió a la base de dades, si es correcte retorna el valor de la
//connexió, si no retorna un error.
function Connect_bbdd(){
	//Paràmetres per a la connexió a la base de dades
	$user = "id20681247_david";
	$pass = "TFG_uoc_2023";
	$server = "localhost";
	$db ="id20681247_bd_smartlock";
		
	//Es realitza la connexió a la base de dades
	$con = mysqli_connect($server, $user, $pass, $db);
	
	//Si no s'ha pogut establir la connexió llavors retorna un error
	if (!$con) {
		echo "ERROR";
	}
	if ($con){
		return $con;
	}
}

//Funció que s'encarrega de verificar si una variable està buida, si és així retorna null, si no, retorna el valor de la variable
function nobuit($var){
	if ($var == ''){
		$var = "NULL";
		return $var;
	}else {
		$var = "'". $var . "'";
		return $var;
	}
}


/*********************************************FUNCIONS LOGIN **************************************************/
//Aquesta funció s'encarrega de verificar si les dades rebudes d'usuari i contrasenya es troben en el sistema i són correctes,
//així com comprovar que l'usuari està actiu, si tot és correcte, crearà les variables de sessió necessàries perquè l'Usuari
//pugui accedir a les diferents pàgines del panell d'administració.
function login($con, $usuari, $pass){
	//Es realitza la consulta a la taula USER
	$result = mysqli_query($con, "SELECT * FROM `USER` WHERE `Actiu` = 1 AND `Usuari` LIKE '$usuari' AND `Pass` LIKE '$pass'"); 
	$total = $result->num_rows;
	//Si s'ha obtingut algun resultat vol dir que l'usuari existeix al sistema i compleix els requisits.
	if ($total == 1){
		$query = mysqli_fetch_array($result);//Es guarda els resultats de la consulta en un array
		$_SESSION['user_id'] = $query['idUSER'];//Es guarda en una variable de sessió Id de l'usuari
		$_SESSION['user_name'] = $query['Nom']; //Es guarda en una variable de sessió el valor del nom de l'usuari
		$_SESSION['rol'] = $query['ROL_idROL']; //Es guarda en una variable de sessió el valor del nom de l'usuari
	}
}


/*********************************************FUNCIONS USUARI **************************************************/
//Funció encarregada de mostrar tots els usuaris del sistema Smartlock
function mostrar_all_usuaris($con){
	$result = mysqli_query($con, "SELECT * FROM `USER`"); //Es fa una consulta per buscar tots els usuaris
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idUsuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Genere</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Nom</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Cognoms</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Doble autentificació?</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Password</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Rol</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Actiu</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Usuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Contrasenya</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"25%\"><font face=\"verdana\">" . "<a href=\"usuari.php?usuari=".$row['idUSER'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a>    " .
			$row['idUSER'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Genere'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Nom'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Cognoms']. "</font></td>";    
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Doble_autentificacio']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Password']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['ROL_idROL']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Actiu']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Usuari']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Pass']. "</font></td></tr>";
 		echo "</a>";
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total usuaris: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de mostrar tots els usuaris ACTIUS del sistema Smartlock
function mostrar_active_usuaris($con){
	$result = mysqli_query($con, "SELECT * FROM `USER` WHERE `Actiu` = 1"); //Es fa una consulta per buscar tots els usuaris que estiguin actius
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idUsuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Genere</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Nom</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Cognoms</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Doble autentificació?</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Password</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Rol</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Actiu</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Usuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Contrasenya</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"25%\"><font face=\"verdana\">" . "<a href=\"usuari.php?usuari=".$row['idUSER'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a>    " .
			$row['idUSER'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Genere'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Nom'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Cognoms']. "</font></td>";    
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Doble_autentificacio']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Password']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['ROL_idROL']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Actiu']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Usuari']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Pass']. "</font></td></tr>";  			
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total usuaris: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de mostrar tota la informació d'un usuari, en funció de l'IdUsuari que rep per paràmetre
function mostrar_usuari($con, $usuari){
	$result = mysqli_query($con, "SELECT * FROM `USER` WHERE `idUSER` = '$usuari'"); //Es fa una consulta per buscar un usuari en concret
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idUsuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Genere</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Nom</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Cognoms</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Doble autentificació?</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Password</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Rol</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Actiu</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Usuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Contrasenya</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"25%\"><font face=\"verdana\">" . "<a href=\"usuari.php?usuari=".$row['idUSER'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a>    " .
			$row['idUSER'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Genere'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Nom'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Cognoms']. "</font></td>";    
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Doble_autentificacio']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Password']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['ROL_idROL']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Actiu']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Usuari']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Pass']. "</font></td></tr>";  			
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total usuaris: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de retornar una variable array amb tota la informació de l'usuari que rep per paràmetre
function info_usuari($con, $usuari){
	$result = mysqli_query($con, "SELECT * FROM `USER` WHERE `idUSER` = '$usuari'");
	$row = mysqli_fetch_array($result);
	return $row;
}

/*********************************************FUNCIONS LOG **************************************************/
//Funció encarregada de mostrar tots els registres d'accessos en ordre descendent (de més recent a més antic)
function mostrar_all_log($con){
	$result = mysqli_query($con, "SELECT * FROM `LOG` ORDER BY `idLOG` DESC"); //Es fa una consulta per buscar tots els registres
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idLOG</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Descripció</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Data</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Nom Usuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Targeta</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Rol</b></font></td>";
	echo "<td><font face=\"verdana\"><b>IdUsuari</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"5%\"><font face=\"verdana\">" . 
			$row['idLOG'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Descripcio'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Data'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Usuari']. "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Targeta']. "</font></td>";    			
		echo "<td width=\"5%\"><font face=\"verdana\">" . 
			$row['USER_ROL_idROL']. "</font></td>";
		echo "<td width=\"5%\"><font face=\"verdana\">" . 
			$row['USER_idUSER'];
			if ($row['USER_idUSER'] !=0){  echo "   <a href=\"usuari.php?usuari=".$row['USER_idUSER'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a></font></td></tr>";}
			else { echo "</font></td></tr>";}
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total registres: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de mostrar tots els registres d'accessos en ordre descendent (de més recent a més antic) d'un usuari determinat, rebut per paràmetre
function mostrar_log_user($con, $idUser){
	$result = mysqli_query($con, "SELECT * FROM `LOG` WHERE `USER_idUSER` = '$idUser' ORDER BY `idLOG` DESC"); //Es fa una consulta per buscar els registres d'un usuari
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idLOG</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Descripció</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Data</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Nom Usuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Targeta</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Rol</b></font></td>";
	echo "<td><font face=\"verdana\"><b>IdUsuari</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"5%\"><font face=\"verdana\">" . 
			$row['idLOG'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Descripcio'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Data'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Usuari']. "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Targeta']. "</font></td>";    			
		echo "<td width=\"5%\"><font face=\"verdana\">" . 
			$row['USER_ROL_idROL']. "</font></td>";
		echo "<td width=\"5%\"><font face=\"verdana\">" . 
			$row['USER_idUSER']. "   <a href=\"usuari.php?usuari=".$row['USER_idUSER'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a></font></td></tr>";   			  
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total registres: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de mostrar els 15 últims registres d'accessos en ordre descendent (de més recent a més antic)
function mostrar_log15($con){
	$result = mysqli_query($con, "SELECT * FROM `LOG` ORDER BY `idLOG` DESC LIMIT 15"); //Es fa una consulta per buscar els últims 15 logs
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idLOG</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Descripció</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Data</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Nom Usuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Targeta</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Rol</b></font></td>";
	echo "<td><font face=\"verdana\"><b>IdUsuari</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"5%\"><font face=\"verdana\">" . 
			$row['idLOG'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Descripcio'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Data'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Usuari']. "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Targeta']. "</font></td>";    			
		echo "<td width=\"5%\"><font face=\"verdana\">" . 
			$row['USER_ROL_idROL']. "</font></td>";
		echo "<td width=\"5%\"><font face=\"verdana\">" . 
			$row['USER_idUSER'];
			if ($row['USER_idUSER'] !=0){  echo "   <a href=\"usuari.php?usuari=".$row['USER_idUSER'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a></font></td></tr>";}
			else { echo "</font></td></tr>";} 			  
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total registres: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de mostrar tots els registres d'una targeta rebuda per paràmetre
function mostrar_log_targeta($con, $idTargeta){
	$result = mysqli_query($con, "SELECT * FROM `LOG` WHERE `Usuari` = '$idTargeta'"); //Es fa una consulta per buscar els registres de la targeta
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idLOG</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Descripció</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Data</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Usuari</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Rol</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Targeta</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"25%\"><font face=\"verdana\">" . 
			$row['idLOG'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Descripcio'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Data'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['USER_idUSER']. "</font></td>";    
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['USER_ROL_idROL']. "</font></td>";  
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Usuari']. "</font></td></tr>";  
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total registres: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}
/*********************************************FUNCIONS TARGETES **************************************************/
//Funció encarregada de mostrar la informació de l'usuari propietari de la targeta
function targeta_by_usuari($con, $idTargeta){
	$result = mysqli_query($con, "SELECT * FROM `TARGET` WHERE `idTARGET` = '$idTargeta'"); //Es fa una consulta per buscar els registres de la targeta
	$row = mysqli_fetch_array($result);
	mostrar_usuari($con, $row['USER_idUSER']);//Es crida a la funció encarregada de mostrar tota la informació de l'usuari
}

//Funció encarregada de mostrar totes les targetes del sistema
function mostrar_all_target($con){
	$result = mysqli_query($con, "SELECT * FROM `TARGET`"); 
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idTargeta</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Valor</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Estat</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Usuari</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"25%\"><font face=\"verdana\">" . "<a href=\"targeta.php?targeta=".$row['idTARGET'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a>    " . 
			$row['idTARGET'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Valor'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Estat'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['USER_idUSER']. "     <a href=\"usuari.php?usuari=".$row['USER_idUSER'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a></font></td></tr>";
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total registres: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de mostrar tota la informació de les targetes que té un mateix usuari (rebut per paràmetre)
function mostrar_target($con, $iduser){
	$result = mysqli_query($con, "SELECT * FROM `TARGET` WHERE `USER_idUSER` = '$iduser'"); 
	//Es creen les capçaleres de la taula
	echo "<table border=\"1\" cellspacing=1 cellpadding=2 style=\"font-size: 8pt\"><tr>";
	echo "<td><font face=\"verdana\"><b>idTargeta</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Valor</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Estat</b></font></td>";
	echo "<td><font face=\"verdana\"><b>Usuari</b></font></td>";
	echo "</tr>";
	
	//Es fa un bucle encarregat de mostrar tot el contingut de la taula
	while($row = mysqli_fetch_array($result)){
		echo "<tr><td width=\"25%\"><font face=\"verdana\">" . "<a href=\"targeta.php?targeta=".$row['idTARGET'] ."\"><img src =\"/img/lupa.png\" alt=\"Verue en detall\"/></a>    " .  
			$row['idTARGET'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Valor'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['Estat'] . "</font></td>";
		echo "<td width=\"25%\"><font face=\"verdana\">" . 
			$row['USER_idUSER']. "</font></td></tr>";    
	}
	echo "<tr><td colspan=\"10\"><font face=\"verdana\"><b>Total registres: " . $result->num_rows . 
	  "</b></font></td></tr></table>";
}

//Funció encarregada de mostrar tota la informació d'una targeta determinada rebuda per paràmetre
function info_targeta($con, $idTarget){
	$result = mysqli_query($con, "SELECT * FROM `TARGET` WHERE `idTARGET` = '$idTarget'");
	$row = mysqli_fetch_array($result);
	return $row;
}
?>
