<?php
/**
* Nom: Login.php
* Autor: David Bassa
* Any: 2023
* Descripció: Aquest php és la pàgina d'inici de sessió, encarregada de guardar les dades introduïdes al formulari
* si l'usuari ja ha iniciat la sessió, el redirigirà a index.php
*/
?>

<html><head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Panell administrador Smarlock - Usuari</title>
    <meta name="description" content="Aquest es un panell d'administracio de Smartlock ">
    <link rel="stylesheet" href="style.css">
<meta charset="utf-8"></head>

<?php
	ob_start();
	session_start();//s'inicialitza les variables de sessió
	include 'functions.php';//es carrega l'arxiu functions.php que conté totes les funcions Smarlock
	//Si detecta que l'usuari ha introduït les dades al formulari, procedirà a fer les comprovacions d'autentificació pertinents
	if (isset($_POST['login'])) {
		login($con, $_POST['usuari'], $_POST['pass']);//crida a la funció encarregada de fer l'autentificació
	}
	if(isset($_SESSION['user_id'])){//si hi ha iniciada una sessió d'usuari redirigirà a l'usuari a index.php
		header('Location: index.php');
		mysqli_close($con);/*es finalitza la connexió amb la base de dades*/
		exit;
	}
?>

<body>
<div id="login"> 
	<div id="login_form">
		<div id="logo"><img src ="/img/smartlock_logo.png" alt="Smartlock"/></div>
		<form method="post" action="">
		  <fieldset class="targetes_fieldset">
			<legend>Iniciar sessió</legend>
			<ul>
				<li>
					<input class="valor" id="usuari" name="usuari" maxlength="25" size="15" placeholder="Usuari" required />
				</li>
				<li>
					<input type="password" class="pass" id="pass" name="pass" maxlength="20" size="15" placeholder = "Contrasenya"required />
				</li>
			</ul>
			<div class="formButtons">
				<button type="submit" name="login" value="login">Log In</button>
				<input type="reset" value="Esborrar">
			</div>
		  </fieldset>
		</form>
	</div>
</div>
<div id="footer">
  Copyright &copy; <?php echo date('Y'); ?> Smartlock by David Bassa Romera 
</div>


</body>

</html>


