<?php
/**
* Nom: targetes.php
* Autor: David Bassa
* Any: 2023
* Descripció: Aquest php s'encarrega de mostrar el contingut de totes les targetes. També conté un formulari que
* permet afegir noves targetes al sistema
*/
?>
<html><head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Panell administrador Smarlock - Targetes</title>
    <meta name="description" content="Aquest es un panell d'administracio de Smartlock ">
    <link rel="stylesheet" href="style.css">
<meta charset="utf-8"></head>
<?php
ob_start();
session_start(); //s'inicialitza les variables de sessió

//Es comproba si s'ha iniciat sessió, si no esta iniciada la sessió llavors dirigeix a l'usuari al login, si esta iniciada podrà veure la pagina.
if(!isset($_SESSION['user_id'])){
    header('Location: login.php');
    exit;
} else if ($_SESSION['rol'] == '2'){ //Si el rol de la sessió es el de usuari accedirá nomes a l'apertura de porta
    header('Location: user_panel.php');
    exit;    
}else if ($_SESSION['rol'] == '1'){//Si la sessió està inicialitzada com a administrador
	include 'functions.php'; //S'afegeix l'arxiu function.php on estan guardades totes les funcions per smartlock
	//Si es carrega la pàgina web amb la sessió iniciada i hi ha una inactivitat superior a 15 minuts, per seguretat la sessió es tanca
	echo '<script>
	setTimeout(function(){ 
	window.location="logout.php"
	}, 900000);
	</script>';
?>

<body>
<div id="sidebar"> 
	<a href="usuari.php?usuari=<?php echo $_SESSION['user_id']; ?>"><img src ="/img/avatar.png" text-align="center" alt="Avatar administrador"/></a>
	<div id="navigation">
		<a href="usuaris.php"><img src ="/img/bt_usuaris.png" alt="usuaris"/></a>
		<a href="logbook.php"><img src ="/img/bt_historial.png" alt="Historial d'accessos"/></a>
		<a href="targetes.php"><img src ="/img/bt_targeta.png" alt="Targetes"/></a>
		<div id ="control_nav">
			<a href="index.php"><img class ="bt_nav" src ="/img/bt_main.png" alt="Tornar a l'inici" href="/index.php"/></a>
			<a href="logout.php"><img class ="bt_nav" src ="/img/bt_exit.png" alt="Sortir"/></a>
			<a href="http://192.168.2.108/Open"><img class ="bt_nav" src ="/img/bt_door.png" alt="Obrir"/></a>
		</div>
	</div>
</div>
<div id="container">
	<div id= "notify">
		<div class="notify_usuari" ><?php echo "Hola, " .$_SESSION['user_name'] . " <a href=\"logout.php\">(Tancar sessió)</a>"; ?></div>
		<div id="ajuda">
			<a href="https://smartlock-uoc.000webhostapp.com/img/ajuda_dashboard.jpg" target="_blank" ><img class = "notify_usuari" src ="/img/ajuda.png" alt="Tornar a l'inici" href="/index.php"/></a>
		</div>
	</div>
	<div id="logo"><img src ="/img/smartlock_targetes.png" alt="Smartlock"/></div>
	<div id="text">
			<form method="post" action="InsertTarget.php">
			  <fieldset class="targetes_fieldset">
				<legend>Afegir nova targeta</legend>
				<ul>
					<li>
						<label class="description">Valor </label>
						<input class="valor" id="valor" name="valor" maxlength="25" size="20" value="" required />
					</li>
					<li>
						<label class="description">Activada? </label>
						<select class="estat" id="estat" name="estat" required> 
							<option value="1" >Si</option>
							<option value="0" >No</option>
						</select>
					</li>
					<li>
						<label class="Usuari">IdUsuari </label>
						<input class="IdUsuari" id="IdUsuari" name="IdUsuari" maxlength="4" size="8" pattern="[0-9]" required />
				</ul>
				<div class="formButtons">
					<input type="submit" value="Afegir" />
					<input type="reset" value="Esborrar">
				</div>
			  </fieldset>
		</form>
		<h1> Totes les targetes d'Smartlock </h1>
		<?php mostrar_all_target($con); /*Es crida a la funció encarregada de mostrar totes les targetes*/ ?>
		<?php mysqli_close($con); /*Es tanca la connexió amb la base de dades*/?>
	</div>
</div>

<div id="footer">
  Copyright &copy; <?php echo date('Y'); ?> Smartlock by David Bassa Romera 
</div>


</body>
<?php } ?>
</html>
