<?php
/**
* Nom: Usuaris.php
* Autor: David Bassa
* Any: 2023
* Descripció: Aquest php s'encarrega de mostrar tota la informació dels usuaris que té Smartlock.
* També conté un formulari que permet a l'usuari administrador afegir nous usuaris al sistema
*/
?>
<html><head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Panell administrador Smarlock - Usuaris</title>
    <meta name="description" content="Aquest es un panell d'administracio de Smartlock ">
    <link rel="stylesheet" href="style.css">
<meta charset="utf-8"></head>
<?php
ob_start();
session_start(); //s'inicialitza les variables de sessió

//Es comproba si s'ha iniciat sessió, si no esta iniciada la sessió llavors dirigeix a l'usuari al login, si esta iniciada podrà veure la pagina.
if(!isset($_SESSION['user_id'])){
    header('Location: login.php');
    exit;
} else if ($_SESSION['rol'] == '2'){ //Si el rol de la sessió es el de usuari accedirá nomes a l'apertura de porta
    header('Location: user_panel.php');
    exit;    
}else if ($_SESSION['rol'] == '1'){//Si la sessió està inicialitzada com a administrador
	include 'functions.php'; //S'afegeix l'arxiu function.php on estan guardades totes les funcions per smartlock
	//Si es carrega la pàgina web amb la sessió iniciada i hi ha una inactivitat superior a 15 minuts, per seguretat la sessió es tanca
	echo '<script>
	setTimeout(function(){ 
	window.location="logout.php"
	}, 900000);
	</script>';
?>

<body>
<div id="sidebar"> 
	<a href="usuari.php?usuari=<?php echo $_SESSION['user_id']; ?>"><img src ="/img/avatar.png" text-align="center" alt="Avatar administrador"/></a>
	<div id="navigation">
		<a href="usuaris.php"><img src ="/img/bt_usuaris.png" alt="usuaris"/></a>
		<a href="logbook.php"><img src ="/img/bt_historial.png" alt="Historial d'accessos"/></a>
		<a href="targetes.php"><img src ="/img/bt_targeta.png" alt="Targetes"/></a>
		<div id ="control_nav">
			<a href="index.php"><img class ="bt_nav" src ="/img/bt_main.png" alt="Tornar a l'inici" href="/index.php"/></a>
			<a href="logout.php"><img class ="bt_nav" src ="/img/bt_exit.png" alt="Sortir"/></a>
			<a href="http://192.168.2.108/Open"><img class ="bt_nav" src ="/img/bt_door.png" alt="Obrir"/></a>
		</div>
	</div>
</div>
<div id="container">
	<div id= "notify">
		<div class="notify_usuari" ><?php echo "Hola, " .$_SESSION['user_name'] . " <a href=\"logout.php\">(Tancar sessió)</a>"; ?></div>
		<div id="ajuda">
			<a href="https://smartlock-uoc.000webhostapp.com/img/ajuda_dashboard.jpg" target="_blank" ><img class = "notify_usuari" src ="/img/ajuda.png" alt="Tornar a l'inici" href="/index.php"/></a>
		</div>
	</div>
	<div id="logo"><img src ="/img/smartlock_usuaris.png" alt="Smartlock"/></div>
	<div id="text">
			<form method="post" action="InsertUser.php">
			  <fieldset>
				<legend>Afegir nou usuari</legend>
				<ul>
					<li>
					<label class="description">Genere </label>
					<select class="genere" id="genere" name="genere" required> 
						<option value="Home" >Home</option>
						<option value="Dona" >Dona</option>
						<option value="NoBinari" >NoBinari</option>
					</select>
					</li>
					<li>
					<label class="description">Nom </label>
						<input class="nom" id="nom" name="nom" maxlength="25" size="8" value="" required />
					<label class="description">Cognoms </label>
						<input id="cognom" name= "cognom" class="cognom" maxlength="45" size="30" value="" required />
					</li>
					<li>
					<li>
					<label class="description">Rol </label>
					<select class="rol" id="rol" name="rol" required > 
						<option value="1" >Administrador</option>
						<option value="2" >Usuari</option>
						<option value="3" >Vei</option>
					</select>
					</li>
					<li>
					<label class="description" >Actiu</label>
						<select class="actiu" id="actiu" name="actiu" required> 
							<option value="1" selected="selected">Si</option>
							<option value="0" >No</option>
						</select>
					</li>
					<fieldset class="form_panellAdmin">
						<legend>Doble autentificació?</legend>
						<label class="description" >Activar?</label>
							<select class="twofactor" id="twofactor" name="twofactor" required> 
								<option value="1" >Si</option>
								<option value="0" selected="selected">No</option>
							</select>
						<label class="description" >Password</label>
							<input id="password" name = "password" type="text" value="" maxlength="4" pattern="[0-9]{4}" size="4"/>
					</fieldset>
					</li>
					<li>
					<fieldset class="form_panellAdmin">
						<legend>Panell admmistrador</legend>
						<label>Usuari</label>
						<input class="usuari" id="usuari" name="usuari" maxlength="10" size="10" value=""/>
						<label>Contrasenya</label>
						<input id="pass" name= "pass" class="pass" maxlength="11" size="11" value=""/>
					</fieldset>
					</li>
					</ul>
				<div class="formButtons">
					<input type="submit" value="Afegir" />
					<input type="reset" value="Esborrar">
				</div>
			  </fieldset>
		</form>
		<h1> Tots els usuaris d'Smartlock </h1>
		<?php mostrar_all_usuaris($con); /*Es crida a la funció encarregada de carregar tota la informació de tots els usuaris*/ ?>
		<?php mysqli_close($con); /*Es tanca la connexió amb la base de dades*/?>
	</div>
</div>

<div id="footer">
  Copyright &copy; <?php echo date('Y'); ?> Smartlock by David Bassa Romera 
</div>


</body>
<?php } ?>
</html>





