<?php
/**
* Nom: verificacio.php
* Autor: David Bassa
* Any: 2023
* Descripció: Aquest php s'encarrega de fer les comprobacions d'accés a Smartlock. Rep per POST el
* valor de la targeta, i el que fa es comprobar a la taula TARGET si la targeta esta registrada al sistema
* i a més que aquesta es trobi activada. Si es així, comprobarà quin usuari es el propietari d'aquesta targeta
* i comprobarà si d'una banda es un usuari actiu, i si té activada la doble autentificació. En funció del resultat
* de les comprobacions realitzades retornarà: True, False o Twofactor.
*/


	//Es crida a la funció encarregada de fer la connexió amb la base de dades
	$con=Connect_bbdd();
	
	//S'activen la mostra d'accents
	$tildes = $con->query("SET NAMES 'utf8'");
	
	//Es guarden les variables pasades per POST
	
	$Valor_targeta = $_POST['targeta'];
	date_default_timezone_set("Europe/Madrid");
	
	//Es realitza la consulta per buscar si existeix alguna entrada a la base de dades amb el valor passat pel POST
	$result = mysqli_query($con, "SELECT * FROM `TARGET` WHERE `Valor` = $Valor_targeta AND `Estat` = 1");
	$total = $result->num_rows;//Es guarda en la variable $total el nombre total de resultats de la consulta
	$DateAndTime = date('Y-m-d H:i:s', time()); //Es guarda a la variable $DateAndTime la data i hora actuals en un format determinat.
	
	//Si no hi han resultats, significa que l'identificador RFID no existeix a la base de dades o existeix pero no està activada, llavors retorna false
	if ($total == 0) { //Es comproba que no hi han resultats
		echo "[OFF]";
		$Valor_targeta = trim($Valor_targeta,'"');
		//Es guarda a la variable $sql el insert que es farà a la base de dades i a continuació s'executarà el insert a la bbdd amb mysqli_query
		$sql = "INSERT INTO LOG (idLOG, Descripcio, Data, USER_idUSER, USER_ROL_idROL, Usuari, Targeta) VALUES (NULL, 'Accés Denegat', '$DateAndTime', NULL , NULL, NULL, '$Valor_targeta' )";
		mysqli_query($con, $sql);
	}
	
	//Si hi ha un resultat vol dir que l'identificador RFID existeix i s'ha de comprobar si user té activada la doble autentificació i si l'usuari esta actiu
	if ($total == 1) {
		
		$consulta= mysqli_fetch_array($result); //Es guarda la informació de la consulta
		$ID_User = $consulta['USER_idUSER']; //Es guarda el camp USER_idUSER(del resultat de la consulta) en la variable ID_USER
		$user_info = mysqli_query($con, "SELECT * FROM `USER` WHERE `idUSER` = $ID_User AND `Actiu` = 1"); //Es fa una consulta per agafar tota la informació de l'usuari
		$total_user = $user_info ->num_rows;
		
		if ($total_user == 0) { //Si no es rep cap resultat vol dir que l'usuari no està actiu
			echo "[OFF]";
			$user_info = mysqli_query($con, "SELECT * FROM `USER` WHERE `idUSER` = $ID_User" ); //Es realitza una consulta per dispossar de la informació de l'usuari.
			$consulta_user= mysqli_fetch_array($user_info);//Es guarda la informació de la consulta en un array
			$nom = $consulta_user['Cognoms'] .', ' .$consulta_user['Nom']; //Es guarda a $nom el valor del nom i el cognom de l'usuari
			$ROL = $consulta_user['ROL_idROL']; // Es guarda a $ROL el valor del IdRol
			$Valor_targeta = trim($Valor_targeta,'"');//Elimina les cometes dobles de la variable
			//Es guarda a $sql la sentencia del insert a executar a la base de dades
			$sql = "INSERT INTO LOG (idLOG, Descripcio, Data, USER_idUSER, USER_ROL_idROL, Usuari, Targeta) VALUES (NULL, 'Accés Denegat, usuari inactiu', '$DateAndTime', '$ID_User' , '$ROL', '$nom', '$Valor_targeta' )";
			mysqli_query($con, $sql);//Es fa la consulta/insert a la base de dades
		}if ($total_user == 1) {//Si es rep un resultat vol dir que l'usuari es troba actiu
		
			$consulta_user = mysqli_fetch_array($user_info);//Es guarda la informació de la consulta en un array
			//Es realitza una consulta amb la intenció de buscar en la taula d'usuaris si l'usuari propietari del identificador RFID té activada la doble autentificació
			$result_auth = mysqli_query($con, "SELECT * FROM `USER` WHERE `idUSER` = $ID_User AND `Doble_autentificacio` = 1");
			$total_auth = $result_auth->num_rows;//Es guarda en la variable total_auth el total de resultats de la consulta anterior
			
			$nom = $consulta_user['Cognoms'] .', ' .$consulta_user['Nom'];//Es guarda a $nom el valor del nom i el cognom de l'usuari
			$targeta_valor = $consulta['Valor'];//Es guarda el valor de la targeta llegida per Smartlock
			$ROL = $consulta_user['ROL_idROL'];//Es guarda el valor del idRol en $ROL
			$ID_TARGET = $consulta['idTARGET'];//Es guarda el valor de idTarget en $ID_TARGET
			
			//Si el resultat es 1 vol dir que té activada la doble autentificació
			if ($total_auth == 1){ 
				//echo "TwoFactor";
				echo "[" .$consulta_user ['Password'] ."]";
				//Es guarda a $sql la sentencia del insert a executar a la base de dades
				$sql = "INSERT INTO LOG (idLOG, Descripcio, Data, USER_idUSER, USER_ROL_idROL, Usuari, Targeta) VALUES (NULL, 'Es demana la doble autentificació', '$DateAndTime', '$ID_User', '$ROL', '$nom', '$targeta_valor' )";
				mysqli_query($con, $sql); //S'executa l'insert a la taula LOG
			}
			
			//Si el resultat es 0 vol dir que no té activada la doble autentificació
			if ($total_auth == 0) {
				//echo "TRUE"; 
				echo "[ON]"; 
				//Es guarda a $sql la sentencia del insert a executar a la base de dades
				$sql = "INSERT INTO LOG (idLOG, Descripcio, Data, USER_idUSER, USER_ROL_idROL, Usuari, Targeta) VALUES (NULL, 'Accés autoritzat', '$DateAndTime', '$ID_User', '$ROL', '$nom', '$targeta_valor' )";
				mysqli_query($con, $sql); //S'executa l'insert a la taula LOG
			}
		}
	}

	mysqli_free_result($result); //S'alliberra la connexió establerta amb la base de dades
	mysqli_close($con); // Es tanca la connexió amb la base de dades


/**************************************************FUNCIONS*****************************************************/
//Funció encarregada de fer la connexió a la base de dades, si es correcte retorna el valor de la
//connexió, sinó retorna un error.
function Connect_bbdd(){
    //Parámetres per a la connexió a la base de dades
	$user = "id20681247_david";
	$pass = "TFG_uoc_2023";
	$server = "localhost";
	$db ="id20681247_bd_smartlock";
		
	//Es realitza la connexió a la base de dades
	$con = mysqli_connect($server, $user, $pass, $db);
	
	//Si no s'ha pogut establir la connexió llavors retorna un error i sinó la connexió
	if (!$con) {
		return "ERROR";
	}
	if ($con){
		return $con;
	}
}
?>
